Module
Contents
Index 🔎︎

# DefVar Statement

Sets the default variable type, according to a letter range, if no type-declaration character or keyword is specified.

## Syntax:

    Defxxx Characterrange1[, Characterrange2[,...]]

## Parameters:

Characterrange: Letters that specify the range of variables that you want to set the default data type for.

xxx: Keyword that defines the default variable type:

Keyword: Default variable type

DefVar: Variant

## Example:

    ' Prefix definitions for variable types:
    DefBool b
    DefDate t
    DefDbl d
    DefInt i
    DefLng l
    DefObj o
    DefVar v
    Sub ExampleDefVar
        vDiv=99 ' vDiv is an implicit variant
        vDiv="Hello world"
    End Sub